Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003631 [JEDI VCL] 00 JVCL Components feature always 2006-04-09 06:16 2006-06-08 01:57
Reporter Karlheinz View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version
Summary 0003631: New behaviour of MinValue and MaxValue in TJvValidateEdit
Description In my applications I need sometimes the possibility that the value is within
MinValue < Value < MaxValue or
MinValue <= Value <= MaxValue or
MinValue < Value <= MaxValue or
MinValue <= Value < MaxValue
Is it possible to add some properties so that I can select the behaviour of MinValue and MaxValue and CriticalPoints.MinValue and Critical.Points.MaxValue.
Additional Information
Tags No tags attached.
Attached Files zip file icon JvValidateEdit.zip [^] (12,267 bytes) 2006-04-24 12:46

- Relationships

-  Notes
(0009055)
obones (administrator)
2006-04-09 11:53

Can't this be done with just adding a small epsilon?
(0009059)
Karlheinz (reporter)
2006-04-10 00:20

That's the way I do it today, but I don't like it really.
(0009062)
jfudickar (developer)
2006-04-10 16:20

So you are looking for something like "MinValueIncluded" and "MaxValueIncluded" ?
(0009064)
Karlheinz (reporter)
2006-04-11 09:57

Yes, that's right
(0009165)
obones (administrator)
2006-04-21 03:09

Anyone implementing this?
(0009178)
Karlheinz (reporter)
2006-04-24 12:48

I added the new file JvValidateEdit.pas and from the example the modified files Main.pas and Main.dfm.

For the functionality of CriticalPoints I added the propertys MinValueIncluded and MaxValueIncluded.
(0009415)
obones (administrator)
2006-06-08 01:57

Thanks, this is now in SVN. Next time, please create a patch file:

http://homepages.borland.com/jedi/wiki/index.php?title=Create_a_patch_file [^]

Cheers
Olivier

- Issue History
Date Modified Username Field Change
2006-04-09 06:16 Karlheinz New Issue
2006-04-09 11:53 obones Note Added: 0009055
2006-04-09 11:53 obones Status new => feedback
2006-04-10 00:20 Karlheinz Note Added: 0009059
2006-04-10 16:20 jfudickar Note Added: 0009062
2006-04-11 09:57 Karlheinz Note Added: 0009064
2006-04-12 01:07 obones Status feedback => acknowledged
2006-04-21 03:09 obones Note Added: 0009165
2006-04-21 03:09 obones Status acknowledged => feedback
2006-04-24 12:46 Karlheinz File Added: JvValidateEdit.zip
2006-04-24 12:48 Karlheinz Note Added: 0009178
2006-06-08 01:57 obones Status feedback => resolved
2006-06-08 01:57 obones Resolution open => fixed
2006-06-08 01:57 obones Assigned To => obones
2006-06-08 01:57 obones Note Added: 0009415


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker